   import javax.swing.*; // program uses class Scanner

      public class BPIH5E1A
      {
      public static double f(double x)
      {
      double y=x*x*x-2;
      return y;
      }


     public static void main( String args[] )
     {            
         double q=2.0;
	     String s="y = "+f(q);
        JOptionPane.showMessageDialog(null,s,"method example",JOptionPane.PLAIN_MESSAGE);
     } // end method main
} // end class BPIH4E1
